Subject: Re: bug#8154: du: issue with `--files0-from=DIR'

From: Pádraig Brady <[email-masked]>
Date: Wed, 02 Mar 2011 15:16:10 +0000

On 02/03/11 13:28, Stefan Vargyas wrote:
> Dear maintainers,
> 
> While building and running coreutils v8.9, I came across the following issue of 'du':
> 
>   $ mkdir /tmp/foo
>   $ du --files0-from=/tmp/foo
>   du: `/tmp/foo': read error: Is a directory
>   ...
> 
> The program enters an infinite loop -- continuously printing on stderr the error message shown above.

Oh, clang pointed out a very similar issue with wc:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=0eaa993a
We'll amend your patch as per above I think?

Unfortunately du didn't do anything that clang noticed as suspicious,
but I should have grepped for AI_ERR_READ to show that wc and du
are the only utils to check it.

cheers,
Pádraig.